import { h } from '@stencil/core';
export class BSWCSection {
  constructor() {
    this.heading = undefined;
    this.slug = undefined;
    this.hasExample = true;
    this.language = '';
  }
  getCode(content) {
    return content;
  }
  render() {
    const code = this.getCode(this.element.innerHTML);
    return (h("section", { class: "section" }, h("h4", { class: "section__title" }, this.heading), h("div", null, this.hasExample ?
      h("div", { class: "section__example" }, h("div", { class: "section__example-title" }, "Example"), h("div", { class: "section__example-content" }, h("slot", null)))
      : '', h("bswc-code", { innerHTML: code, "has-example": this.hasExample, language: this.language })), this.slug ?
      h("p", { class: "section__info" }, "More info about ", h("a", { href: `https://getbootstrap.com/docs/5.3/layout/grid/#${this.slug}`, target: "_blank" }, this.heading), " at Bootstrap website.")
      : ''));
  }
  static get is() { return "bswc-section"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["./section.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["section.css"]
    };
  }
  static get properties() {
    return {
      "heading": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "heading",
        "reflect": false
      },
      "slug": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "slug",
        "reflect": false
      },
      "hasExample": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "has-example",
        "reflect": false,
        "defaultValue": "true"
      },
      "language": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "language",
        "reflect": false,
        "defaultValue": "''"
      }
    };
  }
  static get elementRef() { return "element"; }
}
//# sourceMappingURL=section.js.map
